



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>Ubuntu Server修改IP、DNS、hosts</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">Ubuntu Server修改IP、DNS、hosts</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-23 07:44:24 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>本文记录下Ubuntu Server 16.04修改IP、DNS、hosts的方法</p>
<p>--------</p>
<p><strong>1. Ubuntu Server 16.04修改IP</strong></p>
<div>
<pre class="prettyprint linenums">sudo vi /etc/network/interfaces</pre>
</div>
<p>回显：</p>
<div>
<pre class="prettyprint linenums"># The loopback network interface<br />
auto lo<br />
iface lo inet loopback

# The primary network interface<br />
auto eth0<br />
iface eth0 inet static<br />
        address 192.168.0.88<br />
        netmask 255.255.255.0<br />
        network 192.168.0.0<br />
        broadcast 192.168.0.255<br />
        gateway 192.168.0.1<br />
        # dns-* options are implemented by the resolvconf package, if instatlled<br />
        dns-nameservers 192.168.0.1<br />
        dns-search pcat</pre>
</div>
<p>把address后的ip修改为自己想设定的ip后，保存退出。</p>
<p>之后，重启网络：</p>
<div>
<pre class="prettyprint linenums">sudo /etc/init.d/networking restart</pre>
</div>
<p>ps，ubuntu还有别的重启方式（但不一定有效）</p>
<div>
<pre class="prettyprint linenums">sudo service network restart</pre>
</div>
<p>desktop版可以这样重启：</p>
<div>
<pre class="prettyprint linenums">sudo service network-manager restart</pre>
</div>
<p>如果只是修改了某个网卡(例如eth0)的信息，也可以通过重启网卡的方式使其修改生效。</p>
<div>
<pre class="prettyprint linenums">sudo ifdown eth0<br />
sudo ifup eth0</pre>
</div>
<p>最后，我在自己机子上试了重启网络或者网卡后，ifconfig里显示的还是旧ip，而且新旧两个ip都可以ping通，只有重启机子后才会显示新的ip。</p>
<p><strong>-= 2019.01 更新=-</strong></p>
<p>修改静态ip而不需要重启才生效：</p>
<div>
<pre class="prettyprint linenums">ip addr flush dev eth0<br />
ifdown eth0<br />
ifup eth0</pre>
</div>
<p><strong>2.&nbsp;&nbsp;Ubuntu Server 16.04修改DNS</strong></p>
<div>
<pre class="prettyprint linenums">sudo vi /etc/resolvconf/resolv.conf.d/base</pre>
</div>
<p>修改内容：</p>
<div>
<pre class="prettyprint linenums">search localdomain #如果本Server为DNS服务器，可以加上这一句，如果不是，可以不加<br />
nameserver 8.8.8.8 #希望修改成的DNS<br />
nameserver 114.114.114.114 #希望修改成的DNS</pre>
</div>
<p>保存退出，重启网络：</p>
<div>
<pre class="prettyprint linenums">sudo /etc/init.d/networking restart</pre>
</div>
<p>查看当前DNS：</p>
<div>
<pre class="prettyprint linenums">cat /etc/resolv.conf</pre>
</div>
<p><strong>3.&nbsp; Ubuntu Server 16.04修改hosts</strong></p>
<p>查看hostname：</p>
<div>
<pre class="prettyprint linenums">cat /etc/hostname</pre>
</div>
<p>记住其hostname，修改hosts：</p>
<div>
<pre class="prettyprint linenums">sudo vi /etc/hosts</pre>
</div>
<p>前两行修改为：</p>
<div>
<pre class="prettyprint linenums">#第1行默认这个<br />127.0.0.1       localhost<br />
#第2行为你修改的ip    你刚才查看的hostname<br />
192.168.11.52       pcat</pre>
</div>
<p>保存退出。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/xq4jz53q.html">IOS 真机调试</a>
		</li>
						<li><a href="https://www.batexi.com/a/e9p3ex4q.html">Android ui 测试课堂笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/39rxord9.html">二叉堆&lpar;二&rpar;之 C&plus;&plus;的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmej5e9.html">zjuoj 3603 Draw Something Cheat</a>
		</li>
						<li><a href="https://www.batexi.com/a/qwd0pv38.html">web&period;config connectionStrings 数据库连接字符串的解释</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7m1611q.html">linxu 挂载分区</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxn3r4d8.html">MySQL-视频跟随练习笔记</a>
		</li>
						<li><a href="https://www.batexi.com/a/96oe32v9.html">android实现类似于支付宝余额快速闪动的效果</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzl7xw8.html">jquery左右轮播</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4z1d559.html">ACM Max Factor</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mzy048.html">MySQLSource-Flume</a>
		</li>
						<li><a href="https://www.batexi.com/a/90rme7m9.html">Word2vec教程</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyy4l1mq.html">三十一、Linux 进程与信号&mdash;&mdash;SIGCHLD 信号、kill和raise函数以及alarm函数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zyjk3n9.html">前端 -----js 定时器</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kj55669.html">Java 的 Api 文档生成工具 JApiDocs 程序文档工具</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kjklkj9.html">Javascript 2&period;4</a>
		</li>
						<li><a href="https://www.batexi.com/a/9pwywdd8.html">地址空间格局随机化ASLR</a>
		</li>
						<li><a href="https://www.batexi.com/a/qnnvnjxq.html">poi导出excel合并单元格&lpar;包括列合并、行合并&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qyv46zjq.html">01&colon; shell基本使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1vp336q.html">&lbrack;原&rsqb;&lbrack;osg&rsqb;&lbrack;gdal&rsqb;两种方式修改tiff高程</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9gml7kl9.html">OCP-1Z0-053-V12&period;02-501题 【转】</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wr4nlq.html">关于EJB 时间注解与oracle数据库时间格式</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1mw719.html">异常 ORA-00257&colon; archiver error&period; Connect internal only&comma; until freed</a>
			</li>
						<li><a href="https://www.batexi.com/a/8ok7m5e9.html">VS的Release模式配置技巧</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1wyl69.html">Android padding和margin的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/9gmllp49.html">PHP基于变量的引用实现的树状结构</a>
			</li>
						<li><a href="https://www.batexi.com/a/qlmyzy09.html">ASP&period;NET Identity 系列笔记目录</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k131oj9.html">ARM Cortex-M3内核的巨大优势</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdjg6r8.html">oracle解锁表</a>
			</li>
						<li><a href="https://www.batexi.com/a/95x50v68.html">poj2105---用指针对数组分块操作</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
